Chapter 48. ProcessService


48.1. CountProcesses

GET /v1/processcount

CountProcesses returns the count of processes.

48.1.1. Description

48.1.2. Parameters

48.1.2.1. Query Parameters

Expand
NameDescriptionRequiredDefaultPattern

query

 

-

null

 

pagination.limit

 

-

null

 

pagination.offset

 

-

null

 

pagination.sortOption.field

 

-

null

 

pagination.sortOption.reversed

 

-

null

 

pagination.sortOption.aggregateBy.aggrFunc

 

-

UNSET

 

pagination.sortOption.aggregateBy.distinct

 

-

null

 

48.1.3. Return Type

V1CountProcessesResponse

48.1.4. Content Type

  • application/json

48.1.5. Responses

Expand
Table 48.1. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1CountProcessesResponse

0

An unexpected error response.

RuntimeError

48.1.6. Samples

48.1.7. Common object reference

48.1.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

48.1.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

48.1.7.2. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

48.1.7.3. V1CountProcessesResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

count

  

Integer

 

int32

48.2. GetProcessesByDeployment

GET /v1/processes/deployment/{deploymentId}

GetProcessesByDeployment returns the processes executed in the given deployment.

48.2.1. Description

48.2.2. Parameters

48.2.2.1. Path Parameters

Expand
NameDescriptionRequiredDefaultPattern

deploymentId

 

X

null

 

48.2.3. Return Type

V1GetProcessesResponse

48.2.4. Content Type

  • application/json

48.2.5. Responses

Expand
Table 48.2. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1GetProcessesResponse

0

An unexpected error response.

RuntimeError

48.2.6. Samples

48.2.7. Common object reference

48.2.7.1. ProcessSignalLineageInfo

Expand
Field NameRequiredNullableTypeDescriptionFormat

parentUid

  

Long

 

int64

parentExecFilePath

  

String

  

48.2.7.2. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

48.2.7.2.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

48.2.7.3. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

48.2.7.4. StorageProcessIndicator

Next available tag: 13
Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

deploymentId

  

String

  

containerName

  

String

  

podId

  

String

  

podUid

  

String

  

signal

  

StorageProcessSignal

  

clusterId

  

String

  

namespace

  

String

  

containerStartTime

  

Date

 

date-time

imageId

  

String

  

48.2.7.5. StorageProcessSignal

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

A unique UUID for identifying the message We have this here instead of at the top level because we want to have each message to be self contained.

 

containerId

  

String

  

time

  

Date

 

date-time

name

  

String

  

args

  

String

  

execFilePath

  

String

  

pid

  

Long

 

int64

uid

  

Long

 

int64

gid

  

Long

 

int64

lineage

  

List of string

  

scraped

  

Boolean

  

lineageInfo

  

List of ProcessSignalLineageInfo

  

48.2.7.6. V1GetProcessesResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

processes

  

List of StorageProcessIndicator

  

48.3. GetGroupedProcessByDeploymentAndContainer

GET /v1/processes/deployment/{deploymentId}/grouped/container

GetGroupedProcessByDeploymentAndContainer returns all the processes executed grouped by deployment and container.

48.3.1. Description

48.3.2. Parameters

48.3.2.1. Path Parameters

Expand
NameDescriptionRequiredDefaultPattern

deploymentId

 

X

null

 

48.3.3. Return Type

V1GetGroupedProcessesWithContainerResponse

48.3.4. Content Type

  • application/json

48.3.5. Responses

Expand
Table 48.3. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1GetGroupedProcessesWithContainerResponse

0

An unexpected error response.

RuntimeError

48.3.6. Samples

48.3.7. Common object reference

48.3.7.1. ProcessSignalLineageInfo

Expand
Field NameRequiredNullableTypeDescriptionFormat

parentUid

  

Long

 

int64

parentExecFilePath

  

String

  

48.3.7.2. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

48.3.7.2.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

48.3.7.3. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

48.3.7.4. StorageProcessIndicator

Next available tag: 13
Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

deploymentId

  

String

  

containerName

  

String

  

podId

  

String

  

podUid

  

String

  

signal

  

StorageProcessSignal

  

clusterId

  

String

  

namespace

  

String

  

containerStartTime

  

Date

 

date-time

imageId

  

String

  

48.3.7.5. StorageProcessSignal

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

A unique UUID for identifying the message We have this here instead of at the top level because we want to have each message to be self contained.

 

containerId

  

String

  

time

  

Date

 

date-time

name

  

String

  

args

  

String

  

execFilePath

  

String

  

pid

  

Long

 

int64

uid

  

Long

 

int64

gid

  

Long

 

int64

lineage

  

List of string

  

scraped

  

Boolean

  

lineageInfo

  

List of ProcessSignalLineageInfo

  
Expand
Field NameRequiredNullableTypeDescriptionFormat

groups

  

List of V1ProcessNameAndContainerNameGroup

  

48.3.7.7. V1ProcessGroup

Expand
Field NameRequiredNullableTypeDescriptionFormat

args

  

String

  

signals

  

List of StorageProcessIndicator

  

48.3.7.8. V1ProcessNameAndContainerNameGroup

Expand
Field NameRequiredNullableTypeDescriptionFormat

name

  

String

  

containerName

  

String

  

timesExecuted

  

Long

 

int64

groups

  

List of V1ProcessGroup

  

suspicious

  

Boolean

  

48.4. GetGroupedProcessByDeployment

GET /v1/processes/deployment/{deploymentId}/grouped

GetGroupedProcessByDeployment returns all the processes executed grouped by deployment.

48.4.1. Description

48.4.2. Parameters

48.4.2.1. Path Parameters

Expand
NameDescriptionRequiredDefaultPattern

deploymentId

 

X

null

 

48.4.3. Return Type

V1GetGroupedProcessesResponse

48.4.4. Content Type

  • application/json

48.4.5. Responses

Expand
Table 48.4. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1GetGroupedProcessesResponse

0

An unexpected error response.

RuntimeError

48.4.6. Samples

48.4.7. Common object reference

48.4.7.1. ProcessSignalLineageInfo

Expand
Field NameRequiredNullableTypeDescriptionFormat

parentUid

  

Long

 

int64

parentExecFilePath

  

String

  

48.4.7.2. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

48.4.7.2.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

48.4.7.3. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

48.4.7.4. StorageProcessIndicator

Next available tag: 13
Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

deploymentId

  

String

  

containerName

  

String

  

podId

  

String

  

podUid

  

String

  

signal

  

StorageProcessSignal

  

clusterId

  

String

  

namespace

  

String

  

containerStartTime

  

Date

 

date-time

imageId

  

String

  

48.4.7.5. StorageProcessSignal

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

A unique UUID for identifying the message We have this here instead of at the top level because we want to have each message to be self contained.

 

containerId

  

String

  

time

  

Date

 

date-time

name

  

String

  

args

  

String

  

execFilePath

  

String

  

pid

  

Long

 

int64

uid

  

Long

 

int64

gid

  

Long

 

int64

lineage

  

List of string

  

scraped

  

Boolean

  

lineageInfo

  

List of ProcessSignalLineageInfo

  

48.4.7.6. V1GetGroupedProcessesResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

groups

  

List of V1ProcessNameGroup

  

48.4.7.7. V1ProcessGroup

Expand
Field NameRequiredNullableTypeDescriptionFormat

args

  

String

  

signals

  

List of StorageProcessIndicator

  

48.4.7.8. V1ProcessNameGroup

Expand
Field NameRequiredNullableTypeDescriptionFormat

name

  

String

  

timesExecuted

  

Long

 

int64

groups

  

List of V1ProcessGroup

  
Red Hat logoGithubredditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top